public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/APScheduler/
Date: Mon, 28 Feb 2022 08:28:42 +0000 (UTC)	[thread overview]
Message-ID: <1646036915.6db3562578e0d90c4ed0e71152f84a11246c7a45.mgorny@gentoo> (raw)

commit:     6db3562578e0d90c4ed0e71152f84a11246c7a45
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 28 07:35:38 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 28 08:28:35 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6db35625

dev-python/APScheduler: Bump to 3.9.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/APScheduler/APScheduler-3.9.1.ebuild | 53 +++++++++++++++++++++++++
 dev-python/APScheduler/Manifest                 |  1 +
 2 files changed, 54 insertions(+)

diff --git a/dev-python/APScheduler/APScheduler-3.9.1.ebuild b/dev-python/APScheduler/APScheduler-3.9.1.ebuild
new file mode 100644
index 000000000000..03e50a1598da
--- /dev/null
+++ b/dev-python/APScheduler/APScheduler-3.9.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="In-process task scheduler with Cron-like capabilities"
+HOMEPAGE="https://github.com/agronholm/apscheduler"
+SRC_URI="mirror://pypi/A/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-python/pytz[${PYTHON_USEDEP}]
+	>=dev-python/six-1.4.0[${PYTHON_USEDEP}]
+	>=dev-python/tzlocal-4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	dev-python/setuptools_scm[${PYTHON_USEDEP}]
+	test? (
+		dev-python/sqlalchemy[${PYTHON_USEDEP}]
+		www-servers/tornado[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+	# disable test fixtures using external servers (mongodb, redis...)
+	# these fixtures are using markers in git master, so the patch
+	# should be no longer necessary with next major bump
+	"${FILESDIR}"/APScheduler-3.8.1-external-server-tests.patch
+)
+
+EPYTEST_DESELECT=(
+	tests/test_jobstores.py::test_repr_mongodbjobstore
+	tests/test_jobstores.py::test_repr_redisjobstore
+	tests/test_jobstores.py::test_repr_zookeeperjobstore
+)
+
+python_prepare_all() {
+	# suppress setuptools warning #797751
+	sed -e 's|^upload-dir|upload_dir|' -i setup.cfg || die
+	sed -e '/addopts/d' -i setup.cfg || die
+
+	distutils-r1_python_prepare_all
+}

diff --git a/dev-python/APScheduler/Manifest b/dev-python/APScheduler/Manifest
index 87be39734911..8bc4be634098 100644
--- a/dev-python/APScheduler/Manifest
+++ b/dev-python/APScheduler/Manifest
@@ -1,2 +1,3 @@
 DIST APScheduler-3.8.1.tar.gz 98699 BLAKE2B 7a8320251670de29f76375387f8a3817b3a9c401befd4bfefba106817ec3d21fc0f60af9b7a7620f83c0e1c651bc3eb8c62036a17e01ff91bf5dcf492ff78911 SHA512 553af2532b32bcdc7dc3047bf4f51623e87dbee62dac40b7ca8c3e64881467ecf6c50df56c863d5a44c6b8a99eb02ae22ae008d76ee4836ba398afd280bed99b
 DIST APScheduler-3.9.0.tar.gz 100492 BLAKE2B c1d15dcbebf52034cad0a1317bca68cf567d5acbf6619a5905e1793702339a68cef0a639463f887bb71cb96f15762bea5e5521230fa957e2fbb2ae501ca3cb36 SHA512 40b180f0297b0be125dea89d518331c1f78b1468b6507651c8e9b06cbb44f700ef1f1c44be8bf08f562b67ac6e89ac5022598ad79081bdf0290c207063e0898a
+DIST APScheduler-3.9.1.tar.gz 100567 BLAKE2B a31e2591c47d451e95a982b4d85a70ee9a33bf2370a70e0e1ba2a8e31ae718d5853aad6242cbd8f90dc5bc6912af3ea96270e9f514c3903d041af450c1d8ead5 SHA512 901e04140dc9af3b67887cd3200131cc4121cad71b7ca4afe7cc0adf1a58cebb02eee5abed1f97fc95fe9fef843d00cd6611ab3fbff8ace9247894d6f0720dff


             reply	other threads:[~2022-02-28  8:28 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-02-28  8:28 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-25  4:02 [gentoo-commits] repo/gentoo:master commit in: dev-python/apscheduler/ Michał Górny
2024-11-22 19:30 [gentoo-commits] repo/gentoo:master commit in: dev-python/APScheduler/ Michał Górny
2023-10-29  5:28 Michał Górny
2023-10-29  5:28 Michał Górny
2023-08-20  2:30 Michał Górny
2023-08-14 14:55 Michał Górny
2023-08-13 19:00 Arthur Zamarin
2023-03-04  5:48 Michał Górny
2023-02-01  4:57 Michał Górny
2023-01-31 16:58 Michał Górny
2022-06-04 17:39 Michał Górny
2022-05-16 12:55 Michał Górny
2022-02-24 22:00 Michał Górny
2021-10-26  4:51 Zac Medico
2021-05-23 10:48 Michał Górny
2021-03-15  2:55 Sam James
2020-10-12 18:36 Zac Medico
2020-05-15  6:40 Zac Medico
2020-05-15  6:39 Zac Medico
2020-03-26 11:16 Michał Górny
2018-12-03 12:03 Virgil Dupras
2018-11-27  7:19 Zac Medico
2018-11-26 14:10 Zac Medico
2018-11-26 14:01 Zac Medico
2018-11-26 13:56 Zac Medico
2018-04-14 17:42 Zac Medico
2017-05-08  3:28 Zac Medico
2017-05-07 16:46 Mike Gilbert
2017-05-04  7:27 Zac Medico
2016-10-19  1:04 Zac Medico
2016-10-17 23:49 Zac Medico
2016-05-11 20:33 Mike Gilbert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1646036915.6db3562578e0d90c4ed0e71152f84a11246c7a45.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox